> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List DNS records

> List a managed domain's DNS records



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /domainManagement/domains/{uuid}/dns-records
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /domainManagement/domains/{uuid}/dns-records:
    get:
      tags:
        - Domain Management - Domains
      summary: List DNS records
      description: List a managed domain's DNS records
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Domain identifier.
          required: true
          description: Domain identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  dnsRecords:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - A
                            - AAAA
                            - CNAME
                            - MX
                            - TXT
                            - NS
                            - SRV
                            - CAA
                        name:
                          type: string
                        value:
                          type: string
                        ttl:
                          anyOf:
                            - type: number
                            - type: 'null'
                        priority:
                          anyOf:
                            - type: number
                            - type: 'null'
                      required:
                        - type
                        - name
                        - value
                        - ttl
                        - priority
                      additionalProperties: false
                    title: DNS records
                    description: >-
                      Latest known DNS records snapshot. Refreshed on status
                      refresh and DNS mutations.
                required:
                  - dnsRecords
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````